<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="regionOptions"
        [mbType]="
          isSubmitted && form.controls['regionId'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['regionId'].errors !== null"
        [mbErrors]="form.controls['regionId'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.regionCap.label.region'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.regionCap.label.region'
        }}"
        mbLabelText="{{
          'insurance.regionCap.label.region' | translate
        }} <span class='label__required'>*</span>"
        formControlName="regionId"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        appNumberInput
        [mbType]="
          isSubmitted && form.controls['minimumSalary'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['minimumSalary'].errors !== null
        "
        [mbErrors]="form.controls['minimumSalary'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.regionCap.label.minimumSalary'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.regionCap.label.minimumSalary'
        }}"
        mbLabelText="{{
          'insurance.regionCap.label.minimumSalary' | translate
        }} <span class='label__required'>*</span>"
        formControlName="minimumSalary"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        appNumberInput
        [mbType]="
          isSubmitted && form.controls['baseSalary'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['baseSalary'].errors !== null
        "
        [mbErrors]="form.controls['baseSalary'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.regionCap.label.baseSalary'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.regionCap.label.baseSalary'
        }}"
        mbLabelText="{{
          'insurance.regionCap.label.baseSalary' | translate
        }} <span class='label__required'>*</span>"
        formControlName="baseSalary"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        appNumberInput
        [mbType]="
          isSubmitted && form.controls['insuranceMonth'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['insuranceMonth'].errors !== null
        "
        [mbErrors]="form.controls['insuranceMonth'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.regionCap.label.insuranceMonth'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.regionCap.label.insuranceMonth'
        }}"
        mbLabelText="{{
          'insurance.regionCap.label.insuranceMonth' | translate
        }} <span class='label__required'>*</span>"
        formControlName="insuranceMonth"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="insuranceOptions"
        [mbType]="
          isSubmitted && form.controls['insuranceId'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['insuranceId'].errors !== null
        "
        [mbErrors]="form.controls['insuranceId'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.regionCap.label.insurance'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.regionCap.label.insurance'
        }}"
        mbLabelText="{{
          'insurance.regionCap.label.insurance' | translate
        }} <span class='label__required'>*</span>"
        formControlName="insuranceId"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        appNumberInput
        [mbType]="
          isSubmitted && form.controls['maximumInsuranceSalary'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['maximumInsuranceSalary'].errors !== null
        "
        [mbErrors]="form.controls['maximumInsuranceSalary'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.regionCap.label.maximumInsuranceSalary'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.regionCap.label.maximumInsuranceSalary'
        }}"
        mbLabelText="{{
          'insurance.regionCap.label.maximumInsuranceSalary' | translate
        }} <span class='label__required'>*</span>"
        formControlName="maximumInsuranceSalary"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="
          isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
        [mbErrors]="form.controls['fromDate'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.fromDate'
          }
        ]"
        formControlName="fromDate"
        mbLabelText="{{
          'insurance.common.label.fromDate' | translate
        }} <span class='label__required'>*</span>"
      ></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        formControlName="toDate"
        mbLabelText="{{ 'insurance.common.label.toDate' | translate }}"
      ></mb-date-picker>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="statusOptions"
        [mbType]="
          isSubmitted && form.controls['flagStatus'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['flagStatus'].errors !== null
        "
        [mbErrors]="form.controls['flagStatus'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.flagStatus'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.common.label.flagStatus'
        }}"
        mbLabelText="{{
          'insurance.common.label.flagStatus' | translate
        }} <span class='label__required'>*</span>"
        formControlName="flagStatus"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['description'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['description'].errors !== null
        "
        [mbErrors]="form.controls['description'].errors"
        [mbMaxLength]="250"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '250' }
          }
        ]"
        formControlName="description"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.common.label.description'
        }}"
        mbLabelText="{{ 'insurance.common.label.description' | translate }}"
      >
      </mb-input-text>
    </div>
  </div>
</form>
